#!/usr/bin/env python
#
# Data Quality Checker also known as DQC
#
# Read the README.md for more detailed information
#
#       Barcelona Supercomputing Center - Centro Nacional de Supercomputacion
#       Earth Sciences Department - Computational Earth Sciences
#     
#     Authors: 
#       Joan Sala Calero (joan.sala@bsc.es)

import os
import json
import glob

from utils.utils_forms import *

json_file = './grib/datasets.json' 
forms_dir = '/data/cds-forms-c3s'
data = dict()

for dataset in glob.glob(os.path.join(forms_dir, '*monthly*')):

	key_d = os.path.basename(dataset)
	data[key_d] = get_dataset_variable_codes(dataset, forms_dir)

# Save to JSON
with open(json_file, 'w') as fo:
	json.dump(data, fo, indent=2)